Update username
curl --request PATCH \
--url https://api.agg.market/users/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-app-id: <api-key>' \
--data '
{
"username": "<string>",
"confirmAvatar": true,
"removeAvatar": true
}
'import requests
url = "https://api.agg.market/users/me"
payload = {
"username": "<string>",
"confirmAvatar": True,
"removeAvatar": True
}
headers = {
"x-app-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-app-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({username: '<string>', confirmAvatar: true, removeAvatar: true})
};
fetch('https://api.agg.market/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"username": "<string>",
"avatarUrl": "<string>",
"externalId": "<string>",
"isLocationBlocked": true,
"accounts": [
{
"providerAccountId": "<string>"
}
],
"wallets": [
{
"address": "<string>"
}
],
"venueAccounts": [
{
"id": "<string>",
"status": "<string>",
"kycStatus": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Users
Update username
Updates the current user’s username. Must be 3-30 characters. Letters, numbers, and _ - . allowed; must start and end with a letter or number. Returns 409 if the username is already taken.
PATCH
/
users
/
me
Update username
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
Body
application/json
Response
200
⌘I